# Simple Image Heads and Layers

[![PyPI](https://img.shields.io/pypi/v/sihl.svg)][pypi_]
[![python versions](https://img.shields.io/pypi/pyversions/sihl)][python version]
[![coverage](https://img.shields.io/endpoint?url=https://gist.githubusercontent.com/jonregef/c203d6bce2a485ab49d1814ff3218a06/raw/covbadge.json)][coverage]
[![black](https://img.shields.io/badge/code%20style-black-000000.svg)][black]

[pypi_]: https://pypi.org/project/sihl/
[python version]: https://pypi.org/project/sihl
[coverage]: https://coverage.readthedocs.io/en/7.2.5/
[black]: https://github.com/psf/black

## Installation

```console
pip install sihl
```

<!-- github-only -->

[license]: https://github.com/sihlAI/sihl/blob/main/LICENSE

## Supported tasks
### Classification
- Binary classification
- Multiclass classification
- Multilabel classification

### Regression
- Regression
- Angular regression
- Ordinal regression

### Detection
- Keypoint detection
- Object detection
- Quadrilateral detection

### Segmentation
- Instance segmentation
- Semantic segmentation
- Panoptic segmentation
  - via multi-headed model (instance segmentation + semantic segmentation)

### Other
- Autoencoding
- Depth estimation
- Text recognition
